Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.logging
Class ConsoleHandler

    java.lang.Object
      java.util.logging.Handler
          java.util.logging.StreamHandler
              weblogic.logging.ConsoleHandler

    public final class ConsoleHandler

extends StreamHandler

A simple handler which outputs messages to System.out. The handler uses the `ConsoleFormatter` to format the log record objects. The log records that get outputted are filtered based on configuration parameters specified in the KernelMBean. The `KernelMBean.StdoutEnabled` controls whether the log record is published to the stdout at all. The `KernelMBean.StdoutDebugEnabled` attribute specifies whether messages with Debug severity level are published to the stdout. The `KernelMBean.StdoutSeverityLevel` controls the severity of messages published to the stdout. For server side logging the ServerMBean which extends KernelMBean can be used to configure the stdout logging behavior.

See Also:
  `KernelMBean.isStdoutEnabled()`, `KernelMBean.isStdoutDebugEnabled()`, `KernelMBean.getStdoutSeverityLevel()`

Constructor Summary
`ConsoleHandler(weblogic.management.configuration.KernelMBean akmb)` Deprecated.
`ConsoleHandler(weblogic.management.configuration.LogMBean logConfig)` Deprecated.

Method Summary
`void` | `publish(LogRecord rec)` Publishes the given log record object to the stdout.

Methods inherited from class java.util.logging.StreamHandler
`close, flush, isLoggable, setEncoding, setOutputStream`

Methods inherited from class java.util.logging.Handler
`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleHandler

    public ConsoleHandler(weblogic.management.configuration.KernelMBean akmb)

  Deprecated.

  Initializes the console handler with the given KernelMBean.

  Parameters:
    `akmb` - The KernelMBean reference used to configure this handler.

### ConsoleHandler

    public ConsoleHandler(weblogic.management.configuration.LogMBean logConfig)

  Deprecated.

  Initializes the console handler with the given KernelMBean.

  Parameters:
    `akmb` - The KernelMBean reference used to configure this handler.

Method Detail

### publish

    public void publish(LogRecord rec)

  Publishes the given log record object to the stdout.

  Overrides:
    `publish` in class `StreamHandler`
  Parameters:
    `rec` - The record to be outputted to the stdout.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD